"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.adRouter = void 0;
const express_1 = require("express");
const ad_record_1 = require("../records/ad.record");
exports.adRouter = (0, express_1.Router)()
    .get('/search/:name?', async (req, res) => {
    const ads = await ad_record_1.AdRecord.findAll(req.params.name ?? ''); // jezeli nci nie bedzie ?? to ''
    res.json(ads);
})
    .get('/:id', async (req, res) => {
    const ad = await ad_record_1.AdRecord.getOne(req.params.id);
    res.json(ad);
})
    .post('/', async (req, res) => {
    const ad = new ad_record_1.AdRecord(req.body);
    await ad.insert();
    res.json(ad);
});
//# sourceMappingURL=ad.router.js.map