"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ad_record_1 = require("../records/ad.record");
const defaultObj = {
    name: 'TestName',
    description: 'blah',
    lat: 9,
    lon: 9,
    price: 0,
    url: 'http://example.com',
};
test('Can build AdRecord', () => {
    const ad = new ad_record_1.AdRecord(defaultObj);
    expect(ad.name).toBe('TestName');
    expect(ad.description).toBe('blah');
});
test('Validates invalid price', () => {
    expect(() => new ad_record_1.AdRecord({
        ...defaultObj,
        price: -3,
    })).toThrow('Cena nie może być mniejsza niż 0 lub więszka niż 9.999.999.');
});
//@TODO: Check all the validations
//# sourceMappingURL=ad.test.js.map