export interface SimpleAdEntity {
  id: string;
  lat: number; // latitude szerokosc geo.
  lon: number; // longitute dlugosc geo.
}

export interface AdEntity extends SimpleAdEntity {
  name: string;
  description: string;
  price: number;
  url: string;
}

export interface NewAdEntity extends Omit<AdEntity, 'id'> {
  id?: string;
}
